### Method

# WebKit2WebExtension DOMEventTarget add_event_listener

#### Declaration [src]

    gboolean
    webkit_dom_event_target_add_event_listener (
      WebKitDOMEventTarget* target,
      const char* event_name,
      GCallback handler,
      gboolean use_capture,
      gpointer user_data
    )

#### Description

No description available.

Deprecated since: | 2.22
Use JavaScriptCore API instead.
The implementation of this method is provided by `webkit_dom_event_target_add_event_listener_with_closure()` in language bindings

#### Parameters

`event_name` | `const char*`
| A #gchar.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`handler` | `GCallback`
| A `GCallback`.
`use_capture` | `gboolean`
| A #gboolean.
`user_data` | `gpointer`
| A #gpointer.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| A #gboolean.